Subject: [ESP] Re: [Esg] [Metadata] DIF example and evaluation

From: Bryan Lawrence <[email-masked]>
Date: Thu, 30 Jan 2003 14:36:20 +0000

Hi Luca et al.

Apologies for those of you for whom this will create duplicates, the problem
with mailing lists ...  but I think this is of wide interest to all three 
communities.

You've put your finger on the problem with DIF, it's a flat entity really
and doesn't fit in with complex relationships between datasets.
I guess I had expected we (NDG) would produce (or use) a "sensible" schema, 
from which we would export DIFS at quite a high level, certainly not
at the individual run level. I also agree that the DIF doesn't include
"enough" information, and that much more will be needed at each
institution. Where most see DIF as being useful is for interchanging 
information between institutions - in my notation it is D-type metadata. I 
guess I confused things by pointing out that B-type metadata includes
all the information for DIF, but without making it clear that D *can*
be the same as B, but might normally be a subset ....
(For folk not at the meeting: A=metadata you can get via NcML, it's in the
files, B is metadata you have to add via a user and a tool, and D is
as above, what you exchange at the "Discovery" level as opposed to
"Browse" level.)

So, for ESG, and for NDG, I would imagine we'll build our own schema,
which may have much in common (I hope they will). On our side, we're
certainly going to look in more detail at both the FGDC schema and
the new ISO metadata schema, but would expect that they wont be
sufficient in and of themselves.

As far as how to attach DIF: In my heirarchy, I have for climate model work, 
  project>ensemble>simulation. 
I know yours may differ and ours might yet. I can imagine parent DIFS
for ensembles and DIFS for simulations, but don't imagine hanging
DIF any lower down. The attributes of the project should be inherited
by the ensemble in terms of how one might build the software, but 
delivered as part of the ensemble DIF. Clearly those attributes should
be inherited further down. To go further down, you're into browsing, and one 
would hope you're well into B- and A- type metadata via a local browsing 
interface (and "upward inheritance" of attributes - apologies for the
clumsy language, I still dont have the lingo of a computer scientist)

In summary. I agree, let's develop a schema and try and export DIF. The
tool we build for populating the schema would expect to support
netcdf A-type metadata + DIF attributes + local extensions which
via the same sort of mechanism that the GCMD folk have. The local
extensions in our case would of course be for our explict schema.

Bryan

On Wednesday 29 January 2003 17:36, Luca Cinquini wrote:
> Hi all,
>     I took some time to look at the DIF (Directory Interchange Format)
> for metadata (for more info look at
> http://gcmd.gsfc.nasa.gov/User/difguide/) and how it could be used for ESG.
> I am attaching an example XML file that contains metadata for one PCM
> run in DIF format, and another document that contains some evaluation
> comments about DIF.
> In shorts, I think it would be very valuable for ESG to produce (and
> submit) DIF metadata, but DIF does not cover all of the fields that are
> of interest to Gary's community, so I think we should probabily go ahead
> and try to write our own schema as discussed, and then try to
> automatically generate DIFs from it.
> Comments are welcome,
> thanks, Luca